Ubuntu更换Linux内核版本

Ubuntu14.04.5默认Linux内核版本号是4.4.0-31,这几天为了换一个低版本的内核,在网上查了蛮多帖子,最后虽然有点小问题(切换内核版本不是很方便),但总算是勉强更换成功。

试了几个方法不行后,按照 https://blog.csdn.net/xin_yu_xin/article/details/42184899 这篇帖子的方法成功更换。博主的步骤基本没问题,我是一步一步对照着进行的,这里将我遇到的意外情况说明一下。

首先第5步的(2),#make mrproper,这一步按照博主说的,如果使用刚下载的完整的源程序包即第一次进行编译,这一步省略,这一步会把上一步(1)的 .config文件删除,我稀里糊涂运行了这一句,于是又把(1)在复制一次。

然后第6步make时,提示我 警告: 检测到时钟错误。您的创建可能是不完整的,开始以为反正是警告就忽略了,结果make了5 6个小时还没make完,于是按ctrl+c停止,再make clean,准备解决警告再重新make。按照 https://blog.csdn.net/maopig/article/details/6599660 说明的,使用语句

find . -type f -exec touch {} \;

警告完美解除(上面这条语句,看起来有点奇怪,最后是个\;,开始还真有点不相信),最后make了几十分钟就成功结束了。

再就是第10步,提示


于是在改成/usr/sbin/update-initramfs -c -k 3.2.65,也不知道改的对不对,反正我就当这样是可以的,最后内核是成功能用了。

第12步的设置没有按照博主的说明,而是另外找了蛮多帖子,最后是用命令sudo gedit /etc/default/grub来更改GRUB_DEFAULT的值。


这里我也不知道我的3.16.57应该把值设置成多少,反正我设置成2后,重新启动,进入了Memory test(如下蓝屏所示)


然后按Esc,再按住shift回到下面这个界面


这里可以看到GRUB_DEFAULT=2对应的是Memory test,由于我这里没有显示3.16.57,所以我不能通过直接设置GRUB_DEFAULT来进入3.16.57.但是选择Ubuntu高级选项,可以选择不同的Linux内核版本。


这里再选择Ubuntu,Linux 3.16.57就可以成功进入刚装好的新版本Linux了。

展开阅读全文

没有更多推荐了,返回首页